org.firebirdsql.gds.ng.wire

## Interface DeferredAction

    public interface DeferredAction

Semi-functional interface for processing deferred responses from the server.

This interfaces is used in protocol 11 or higher.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`WarningMessageCallback` `getWarningMessageCallback()`
`void` `processResponse(Response response)` Steps to process the deferred response.

### Method Detail

#### processResponse

    void processResponse(Response response)

Steps to process the deferred response.

Parameters:
  `response` - Response object.

#### getWarningMessageCallback

    WarningMessageCallback getWarningMessageCallback()

Returns:
  The warning callback to use when executing this deferred action.